For AI agents: a documentation index is available at https://docs.1099policy.com/llms.txt. Markdown versions of each page are available by sending an Accept: text/markdown header, or by appending .md to the page URL.

Do not miss any 1099Policy API changes, ever again

Subscribe to the 1099Policy API changelog to be up to date on recent changes.

RSS

Changelog

Last update:
Compare
5 structure changes including:
5 Modifications
Modified 5 Breaking
GET /api/v1/quotes
  • Response
  • 200 response Modified
    • application/json content type Modified
      • coverage_type property Modified
        • Type went from object to array[string]
          Breaking
        • coverage_type property Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
GET /api/v1/quotes/{quote_id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • coverage_type property Modified
        • Type went from object to array[string]
          Breaking
        • coverage_type property Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
POST /api/v1/entities
  • Body
  • application/json content type Modified
    • required_coverage property Modified
      • Type went from object to array[string]
        Breaking
      • coverage_type property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
POST /api/v1/quotes
  • Response
  • 201 response Modified
    • application/json content type Modified
      • coverage_type property Modified
        • Type went from object to array[string]
          Breaking
        • coverage_type property Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
PUT /api/v1/quotes/{quote_id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • coverage_type property Modified
        • Type went from object to array[string]
          Breaking
        • coverage_type property Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking

Adds support for quote to #Assignment.cancel

1 structure change including:
1 Addition
Added 1
POST /api/v1/assignments/cancel
1 structure change including:
1 Modification
Modified 1
POST /api/v1/contractors
  • Body
  • application/json content type Modified
    • phone property Modified
      • Property is no longer required
12 structure changes including:
4 Additions
8 Modifications
Modified 8 Breaking
PUT /api/v1/assignments/{assignment_id}
  • Body
  • application/json content type Modified
    • bind property Modified
      • Full types is now boolean
    • certificates, created, eligible, id properties Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • Path
  • assignment path parameter Added
PUT /api/v1/contractors/{contractor_id}
  • Body
  • application/json content type Modified
    • company_name, middle_name properties Modified
      • Full types went from string | null to string
        Breaking
    • withhold_premium property Modified
      • Full types is now boolean
    • created, id properties Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • Path
  • contractor path parameter Added
PUT /api/v1/entities/{entity_id}
  • Body
  • application/json content type Modified
    • required_coverage property Modified
      • Full types went from array[string] to array
        Breaking
    • created, id properties Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • Path
  • entity path parameter Added
PUT /api/v1/invoices/{invoice_id}
  • Body
  • application/json content type Modified
    • Invoice property Removed
  • Path
  • invoice path parameter Added
PUT /api/v1/jobs/{job_id}
  • Body
  • application/json content type Modified
    • wage_type property Modified
      • Full types is now string
    • category_code, created, id properties Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • Path
  • job path parameter Added
PUT /api/v1/policies/{policy_id}
  • Body
  • application/json content type Modified
    • certificates, created, effective_date, expiration_date, id, quote properties Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
    • is_active property Added
  • Path
  • policy path parameter Added
PUT /api/v1/quotes/{quote_id}
  • Body
  • application/json content type Modified
    • coverage_type property Modified
      • Full types went from object to array[string]
        Breaking
      • coverage_type property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
    • effective_date, end_date properties Modified
      • Full types went from string(int64) to integer(int64)
        Breaking
    • created, id properties Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • Path
  • quote path parameter Added
PUT /api/v1/webhook_endpoints/{webhook_endpoint_id}
  • Body
  • application/json content type Modified
    • created, id, secret properties Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • Path
  • webhook_endpoint path parameter Added
Added 4
DELETE /api/v1/files/certificates/{certificate_id}
GET /api/v1/files/certificates
GET /api/v1/files/certificates/{certificate_id}
POST /api/v1/files/certificates
1 structure change including:
1 Modification
Modified 1 Breaking
GET /api/v1/policies
  • Query
  • quote_id query parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • quote query parameter Added
1 structure change including:
1 Modification
Modified 1 Breaking
GET /api/v1/contractors/{contractor_id}/policies
  • Query
  • quote_id query parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • quote query parameter Added

Adds support for quote to #Policy.list and Contractor#list_policies.

2 structure changes including:
2 Modifications
Modified 2
GET /api/v1/contractors/{contractor_id}/policies
  • Query
  • quote_id query parameter Added
GET /api/v1/policies
  • Query
  • quote_id query parameter Added

Add support for Session#update.success_url and Session#update.cancel_url.

1 structure change including:
1 Addition
Added 1
PUT /api/v1/apply/sessions/{session_id}
4 structure changes including:
4 Modifications
Modified 4 Breaking
GET /api/v1/assignments
  • Response
  • 200 response Modified
    • application/json content type Modified
GET /api/v1/assignments/{assignment_id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • coverage_type property Modified
        • Full types went from object to array[string]
          Breaking
POST /api/v1/assignments
  • Response
  • 201 response Modified
    • application/json content type Modified
      • coverage_type property Modified
        • Full types went from object to array[string]
          Breaking
PUT /api/v1/assignments/{assignment_id}
  • Body
  • application/json content type Modified
    • coverage_type property Modified
      • Full types went from object to array[string]
        Breaking
      • coverage_type property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
  • Response
  • 200 response Modified
    • application/json content type Modified
      • coverage_type property Modified
        • Full types went from object to array[string]
          Breaking
  • Add support for coverage_type on Assignment
4 structure changes including:
4 Modifications
Modified 4
GET /api/v1/assignments
  • Response
  • 200 response Modified
    • application/json content type Modified
GET /api/v1/assignments/{assignment_id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • coverage_type property Added
POST /api/v1/assignments
  • Body
  • application/json content type Modified
    • coverage_type property Added
  • Response
  • 201 response Modified
    • application/json content type Modified
      • coverage_type property Added
PUT /api/v1/assignments/{assignment_id}
  • Body
  • application/json content type Modified
    • coverage_type property Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • coverage_type property Added
  • Adds support for starting_after and ending_before to the #list endpoints of the following methods, Contractor, Quote, Job, Assignment, Invoice, Session, Policy, and Entity.
12 structure changes including:
12 Modifications
Modified 12
GET /api/v1/apply/sessions
  • Query
  • starting_after, ending_before query parameters Added
GET /api/v1/assignments
  • Query
  • starting_after, ending_before query parameters Added
GET /api/v1/contractors
  • Query
  • starting_after, ending_before query parameters Added
GET /api/v1/entities
  • Query
  • starting_after, ending_before query parameters Added
GET /api/v1/invoices
  • Query
  • starting_after, ending_before query parameters Added
GET /api/v1/jobs
  • Query
  • starting_after, ending_before query parameters Added
GET /api/v1/policies
  • Query
  • starting_after, ending_before query parameters Added
GET /api/v1/quotes
  • Query
  • starting_after, ending_before query parameters Added
GET /api/v1/webhook_endpoints
  • Response
  • 200 response Modified
    • application/json content type Modified
GET /api/v1/webhook_endpoints/{webhook_endpoint_id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • secret property Added
POST /api/v1/webhook_endpoints
  • Response
  • 201 response Modified
    • application/json content type Modified
      • secret property Added
PUT /api/v1/webhook_endpoints/{webhook_endpoint_id}
  • Body
  • application/json content type Modified
    • secret property Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • secret property Added
1 structure change including:
1 Modification
Modified 1 Breaking
PUT /api/v1/webhook_endpoints/{webhook_endpoint_id}
  • Body
  • application/json content type Modified
    • created property Modified
      • created property Added
    • address, category_code, custom_metadata, entity, name, wage, wage_type, years_experience properties Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
    • url property Added
4 structure changes including:
4 Modifications
Modified 4
GET /api/v1/apply/sessions
  • Response
  • 200 response Modified
    • application/json content type Modified
GET /api/v1/apply/sessions/{session_id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • expired property Added
POST /api/v1/apply/sessions
  • Response
  • 201 response Modified
    • application/json content type Modified
      • expired property Added
POST /api/v1/apply/sessions/{session_id}/expire
  • Response
  • 200 response Modified
    • application/json content type Modified
      • expired property Added
4 structure changes including:
4 Modifications
Modified 4
GET /api/v1/quotes
  • Response
  • 200 response Modified
    • application/json content type Modified
GET /api/v1/quotes/{quote_id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • quote_json property Added
POST /api/v1/quotes
  • Response
  • 201 response Modified
    • application/json content type Modified
      • quote_json property Added
PUT /api/v1/quotes/{quote_id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • quote_json property Added
5 structure changes including:
5 Modifications
Modified 5 Breaking
GET /api/v1/quotes
  • Response
  • 200 response Modified
    • application/json content type Modified
GET /api/v1/quotes/{quote_id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • contractor, job properties Modified
        • Full types went from object to string
          Breaking
POST /api/v1/quotes
  • Response
  • 201 response Modified
    • application/json content type Modified
      • contractor, job properties Modified
        • Full types went from object to string
          Breaking
POST /api/v1/webhook_endpoints
  • Response
  • 201 response Added
PUT /api/v1/quotes/{quote_id}
  • Body
  • application/json content type Modified
    • contractor property Modified
      • Full types went from object to string
        Breaking
      • address, company_name, created, custom_metadata, email, first_name, id, last_name, middle_name, phone, withhold_premium properties Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
    • job property Modified
      • Full types went from object to string
        Breaking
      • address, category_code, created, custom_metadata, description, entity, id, name, wage, wage_type, years_experience properties Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
  • Response
  • 200 response Modified
    • application/json content type Modified
      • contractor, job properties Modified
        • Full types went from object to string
          Breaking
  • Add support for new resources WebhookEndpoint
  • Change Event#list response be an array of objects. Note: Breaking change.
6 structure changes including:
5 Additions
1 Modification
Modified 1 Breaking
GET /api/v1/events
  • Response
  • 200 response Modified
    • application/json content type Modified
      • Full types went from object to array[object]
        Breaking
  • Body
  • application/json content type Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • limit query parameter Added
Added 5
DELETE /api/v1/webhook_endpoints/{webhook_endpoint_id}
GET /api/v1/webhook_endpoints
GET /api/v1/webhook_endpoints/{webhook_endpoint_id}
POST /api/v1/webhook_endpoints
PUT /api/v1/webhook_endpoints/{webhook_endpoint_id}
  • Add support for step on Session
  • Add support for custom_metadata on Job
28 structure changes including:
28 Modifications
Modified 28 Breaking
GET /api/v1/apply/sessions
  • Response
  • 200 response Modified
    • application/json content type Modified
GET /api/v1/apply/sessions/{session_id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • id property Modified
        • Created alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • string-2 alternative Added
      • step property Added
GET /api/v1/assignments/{assignment_id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • created property Modified
        • Certificate alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • Created alternative Added
      • eligible property Modified
        • Certificate alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • Eligible alternative Added
      • id property Modified
        • Certificate alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • string-2 alternative Added
GET /api/v1/contractors/{contractor_id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • created property Modified
        • Address alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • Created alternative Added
      • id property Modified
        • Address alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • string-2 alternative Added
GET /api/v1/entities/{entity_id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • coverage_limit property Modified
        • Address alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • Limit alternative Added
      • created property Modified
        • Address alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • Created alternative Added
      • id property Modified
        • Address alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • string-2 alternative Added
GET /api/v1/events/{event_id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • data property Modified
        • Created alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • object-2 alternative Added
      • id property Modified
        • Created alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • object-2 alternative Added
GET /api/v1/invoices/{invoice_id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • id property Modified
        • Created alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • string-2 alternative Added
GET /api/v1/jobs
  • Response
  • 200 response Modified
    • application/json content type Modified
GET /api/v1/jobs/{job_id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • created property Modified
        • Address alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • Created alternative Added
      • id property Modified
        • Address alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • string-2 alternative Added
      • custom_metadata property Added
GET /api/v1/policies/{policy_id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • created property Modified
        • Certificate alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • Created alternative Added
      • id property Modified
        • Certificate alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • string-2 alternative Added
GET /api/v1/quotes
  • Response
  • 200 response Modified
    • application/json content type Modified
GET /api/v1/quotes/{quote_id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • contractor property Modified
      • coverage_type property Modified
        • Contractor alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • Coverage alternative Added
      • created property Modified
        • Contractor alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • Created alternative Added
      • id property Modified
        • Contractor alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • string-2 alternative Added
      • job property Modified
        • Contractor alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • Job alternative Added
POST /api/v1/apply/sessions
  • Response
  • 201 response Modified
    • application/json content type Modified
      • id property Modified
        • Created alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • string-2 alternative Added
      • step property Added
POST /api/v1/apply/sessions/{session_id}/expire
  • Response
  • 200 response Modified
    • application/json content type Modified
      • id property Modified
        • Created alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • string-2 alternative Added
      • step property Added
POST /api/v1/assignments
  • Response
  • 201 response Modified
    • application/json content type Modified
      • created property Modified
        • Certificate alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • Created alternative Added
      • eligible property Modified
        • Certificate alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • Eligible alternative Added
      • id property Modified
        • Certificate alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • string-2 alternative Added
POST /api/v1/contractors
  • Response
  • 201 response Modified
    • application/json content type Modified
      • created property Modified
        • Address alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • Created alternative Added
      • id property Modified
        • Address alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • string-2 alternative Added
POST /api/v1/entities
  • Body
  • application/json content type Modified
    • coverage_limit property Modified
      • Address alternative Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • Limit alternative Added
    • required_coverage property Modified
      • Address alternative Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • Coverage alternative Added
  • Response
  • 201 response Modified
    • application/json content type Modified
      • coverage_limit property Modified
        • Address alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • Limit alternative Added
      • created property Modified
        • Address alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • Created alternative Added
      • id property Modified
        • Address alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • string-2 alternative Added
POST /api/v1/invoices
  • Response
  • 201 response Modified
    • application/json content type Modified
      • id property Modified
        • Created alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • string-2 alternative Added
POST /api/v1/jobs
  • Body
  • application/json content type Modified
    • custom_metadata property Added
  • Response
  • 201 response Modified
    • application/json content type Modified
      • created property Modified
        • Address alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • Created alternative Added
      • id property Modified
        • Address alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • string-2 alternative Added
      • custom_metadata property Added
POST /api/v1/policies
  • Response
  • 201 response Modified
    • application/json content type Modified
      • created property Modified
        • Certificate alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • Created alternative Added
      • id property Modified
        • Certificate alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • string-2 alternative Added
POST /api/v1/quotes
  • Response
  • 201 response Modified
    • application/json content type Modified
      • contractor property Modified
      • coverage_type property Modified
        • Contractor alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • Coverage alternative Added
      • created property Modified
        • Contractor alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • Created alternative Added
      • id property Modified
        • Contractor alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • string-2 alternative Added
      • job property Modified
        • Contractor alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • Job alternative Added
PUT /api/v1/assignments/{assignment_id}
  • Body
  • application/json content type Modified
    • created property Modified
      • Certificate alternative Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • Created alternative Added
    • eligible property Modified
      • Certificate alternative Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • Eligible alternative Added
    • id property Modified
      • Certificate alternative Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • string-2 alternative Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • created property Modified
        • Certificate alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • Created alternative Added
      • eligible property Modified
        • Certificate alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • Eligible alternative Added
      • id property Modified
        • Certificate alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • string-2 alternative Added
PUT /api/v1/contractors/{contractor_id}
  • Body
  • application/json content type Modified
    • created property Modified
      • Address alternative Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • Created alternative Added
    • id property Modified
      • Address alternative Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • string-2 alternative Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • created property Modified
        • Address alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • Created alternative Added
      • id property Modified
        • Address alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • string-2 alternative Added
PUT /api/v1/entities/{entity_id}
  • Body
  • application/json content type Modified
    • coverage_limit property Modified
      • Address alternative Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • Limit alternative Added
    • created property Modified
      • Address alternative Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • Created alternative Added
    • id property Modified
      • Address alternative Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • string-2 alternative Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • coverage_limit property Modified
        • Address alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • Limit alternative Added
      • created property Modified
        • Address alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • Created alternative Added
      • id property Modified
        • Address alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • string-2 alternative Added
PUT /api/v1/invoices/{invoice_id}
  • Body
  • application/json content type Modified
    • id property Modified
      • Created alternative Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • string-2 alternative Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • id property Modified
        • Created alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • string-2 alternative Added
PUT /api/v1/jobs/{job_id}
  • Body
  • application/json content type Modified
    • created property Modified
      • Address alternative Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • Created alternative Added
    • id property Modified
      • Address alternative Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • string-2 alternative Added
    • custom_metadata property Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • created property Modified
        • Address alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • Created alternative Added
      • id property Modified
        • Address alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • string-2 alternative Added
      • custom_metadata property Added
PUT /api/v1/policies/{policy_id}
  • Body
  • application/json content type Modified
    • created property Modified
      • Certificate alternative Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • Created alternative Added
    • id property Modified
      • Certificate alternative Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • string-2 alternative Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • created property Modified
        • Certificate alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • Created alternative Added
      • id property Modified
        • Certificate alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • string-2 alternative Added
PUT /api/v1/quotes/{quote_id}
  • Body
  • application/json content type Modified
    • contractor property Modified
      • created property Modified
        • Address alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • Created alternative Added
      • id property Modified
        • Address alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • string-2 alternative Added
    • coverage_type property Modified
      • Contractor alternative Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • Coverage alternative Added
    • created property Modified
      • Contractor alternative Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • Created alternative Added
    • id property Modified
      • Contractor alternative Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • string-2 alternative Added
    • job property Modified
      • Contractor alternative Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • Job alternative Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • contractor property Modified
      • coverage_type property Modified
        • Contractor alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • Coverage alternative Added
      • created property Modified
        • Contractor alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • Created alternative Added
      • id property Modified
        • Contractor alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • string-2 alternative Added
      • job property Modified
        • Contractor alternative Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • Job alternative Added
  • Add support for Contractor#list.parameters.email
1 structure change including:
1 Modification
Modified 1
GET /api/v1/contractors
  • Query
  • email query parameter Added
  • Add support for policy on Assignment#create
  • Add support for Contractor#list_policies
5 structure changes including:
1 Addition
4 Modifications
Modified 4
GET /api/v1/assignments
  • Response
  • 200 response Modified
    • application/json content type Modified
GET /api/v1/assignments/{assignment_id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • policy property Added
POST /api/v1/assignments
  • Body
  • application/json content type Modified
    • policy property Added
  • Response
  • 201 response Modified
    • application/json content type Modified
      • policy property Added
PUT /api/v1/assignments/{assignment_id}
  • Body
  • application/json content type Modified
    • policy property Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • policy property Added
Added 1
GET /api/v1/contractors/{contractor_id}/policies
4 structure changes including:
4 Modifications
Modified 4
GET /api/v1/quotes
  • Response
  • 200 response Modified
    • application/json content type Modified
GET /api/v1/quotes/{quote_id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • gl_net_rate, wc_net_rate properties Added
POST /api/v1/quotes
  • Response
  • 201 response Modified
    • application/json content type Modified
      • gl_net_rate, wc_net_rate properties Added
PUT /api/v1/quotes/{quote_id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • gl_net_rate, wc_net_rate properties Added